import * as d3 from "d3";
import { feature } from 'topojson';

const svg = d3.select('svg');

const projection = null
const graticule = d3.geoGraticule();
let pathGenerator = d3.geoPath().projection(projection);


const g = svg.append('g');

g.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator());

g.append('path')
    .datum(graticule)
    .attr("class", "graticule")
    .attr("d", pathGenerator);

Promise.all([
  d3.json('https://unpkg.com/us-atlas@1/us/10m.json')
]).then(([topoJSONdata]) => {
console.log(topoJSONdata);
  const countries = feature(topoJSONdata, topoJSONdata.objects.states);
  g.selectAll('path').data(countries.features)
    .enter().append('path')
      .attr('class', 'country')
      .attr('d', pathGenerator)
});

 g.call(d3.zoom().on('zoom', () => {
   g.attr('transform', d3.event.transform)
 }));

